Page MenuHomePhabricator

Remove special mobile preferences styles with OOUI transformation in
Closed, ResolvedPublic

Description

With T117781 resolved, the former special styles of MinveraNeue for Preferences should be able to be removed.

Event Timeline

Volker_E triaged this task as Normal priority.Oct 30 2018, 6:28 PM
Volker_E created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2018, 6:28 PM

Change 470655 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MinervaNeue@master] Remove obsolete Special:Preferences styles after its transformation to OOUI

https://gerrit.wikimedia.org/r/470655

@Volker_E are there any plans to fix oo-ui-menuLayout-menu for mobile. On the preferences page I see 4 lines of buttons. It would be great if at the very least these were made horizontally scrollable (which I believe this stylesheet did on the old design). Is there any tasks tracking menuLayout on mobile (with large row of horizontal buttons?) Is https://gerrit.wikimedia.org/r/463382 related in any way?

Change 470655 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Remove obsolete Special:Preferences styles after its transformation to OOUI

https://gerrit.wikimedia.org/r/470655

Jdlrobson added a subscriber: alexhollender.EditedOct 31 2018, 6:38 PM

@alexhollender over to you in case you are interested in checking the Special:Preferences page. Please move out of sprint/resolve when you are done!

Note that this issue also applies to other skins. Pretty sure at least Vector and MonoBook also had custom styles for the preferences page, which can be removed now. (Probably should have a separate task for other skins.)

@Volker_E are there any plans to fix oo-ui-menuLayout-menu for mobile. On the preferences page I see 4 lines of buttons. It would be great if at the very least these were made horizontally scrollable (which I believe this stylesheet did on the old design).

I don't think we have plans/task. In my opinion wrapping is preferable to horizontal scrolling (definitely on desktop, and probably on mobile as well?), but it's definitely something that could be changed. I will note that in some cases we already can do scrolling instead of wrapping here (when the tabs are absolutely positioned, and wrapping them would cover content below), but I'm not sure if that is actually used in practice anywhere.

Probably a better design for mobile would be to display each section separately (on a subpage?). That should be doable, but not trivial. (I don't think I have the time to work on that.)

Is there any tasks tracking menuLayout on mobile (with large row of horizontal buttons?) Is https://gerrit.wikimedia.org/r/463382 related in any way?

Well, the MenuLayout/TabSelectWidget buttons do wrap over multiple lines, so that particular patch doesn't apply to them.

Change 470925 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Remove unreferenced skin style

https://gerrit.wikimedia.org/r/470925

Change 470925 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Remove unreferenced skin style

https://gerrit.wikimedia.org/r/470925

@alexhollender / @Volker_E can we resolve this one?

@Jdlrobson Clear yes from my side.

Volker_E closed this task as Resolved.Nov 7 2018, 12:54 AM
Volker_E removed a project: Patch-For-Review.